package com.loafle.overflow.email.dao;

import com.loafle.overflow.email.model.EmailAuth;
import com.loafle.overflow.member.model.Member;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.util.Date;

/**
 * Created by root on 17. 6. 6.
 */
@Ignore
public class JPAEmailAuthDAOTest {

    private JPAEmailAuthDAO emailAuthDAO = null;

    @Before
    public void before() {

        this.emailAuthDAO = new JPAEmailAuthDAO();
    }

    @Test
    public void createEmailAuth() {
        EmailAuth auth = new EmailAuth();

        auth.setAuthToken("0F2003A6-83B0-40F5-B56A-0485F458CA911");
        auth.setMember(new Member(Long.valueOf(1)));
        auth.setInvalid(false);
//        auth.setUpdateDate(new Date());
        auth.setIsConfirm(false);
        EmailAuth ret = emailAuthDAO.create(auth);
        System.out.println(ret.getId());
    }

    @Test
    public void updateEmailAuth() {
        EmailAuth auth = this.emailAuthDAO.find("1");

        auth.setInvalid(true);
        auth.setUpdateDate(new Date());
        auth.setConfirmDate(new Date());

        this.emailAuthDAO.update(auth);
        System.out.println(auth.getConfirmDate());
    }
}